import { ComponentPropsWithoutRef, ReactNode } from 'react';
export interface ExpandableContainerProps extends ComponentPropsWithoutRef<'div'> {
    css?: never;
}
/**
 * Used to expand content like Tables or Charts to fill available screen space,
 * when the screen is larger than the usual content container width.
 */
export declare function ExpandableContainer(props: ExpandableContainerProps): import("theme-ui/jsx-runtime").JSX.Element;
export declare namespace ExpandableContainer {
    var Provider: typeof ExpandableContainerProvider;
    var Toggle: typeof ExpandableContainerToggle;
}
export interface ExpandableContainerProviderProps {
    children: React.ReactNode;
    /**
     * @default false
     */
    initialState?: boolean;
}
export declare function ExpandableContainerProvider({ children, initialState }: ExpandableContainerProviderProps): import("theme-ui/jsx-runtime").JSX.Element;
export interface ExpandableContainerToggleProps {
    /** @deprecated use `children` instead */
    text?: string;
    children?: ReactNode;
}
export declare function ExpandableContainerToggle({ text, children }: ExpandableContainerToggleProps): import("theme-ui/jsx-runtime").JSX.Element;
